com.trendmicro.ds.platform.rest.object

## Enum EventBasedTask.EventType

- java.lang.Object
- - java.lang.Enum<EventBasedTask.EventType>
  - - com.trendmicro.ds.platform.rest.object.EventBasedTask.EventType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EventBasedTask.EventType>
  Enclosing class:
    EventBasedTask

      public static enum EventBasedTask.EventType
      extends java.lang.Enum<EventBasedTask.EventType>

  Event types that can trigger an event-based task.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGENT_INITIATED_ACTIVATION` Trigger the task when a computer object is activated by the agent on that computer.
    `AGENT_IP_CHANGED` Trigger the task when the agent IP changes.
    `COMPUTER_CREATED_BY_SYSTEM` Trigger the task when a computer object is created by the system.
    `COMPUTER_MOVED_BY_SYSTEM` Trigger the task when a computer object is moved by the system.
    `NSX_PROTECTION_CHANGED` Trigger the task when the NSX protection for the computer changes.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventBasedTask.EventType` | `fromValue(int value)`
    `static EventBasedTask.EventType` | `fromValue(java.lang.String value)`
    `int` | `getIntValue()`
    `java.lang.String` | `getValue()`
    `static EventBasedTask.EventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EventBasedTask.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMPUTER_CREATED_BY_SYSTEM

          public static final EventBasedTask.EventType COMPUTER_CREATED_BY_SYSTEM

      Trigger the task when a computer object is created by the system.

    - #### COMPUTER_MOVED_BY_SYSTEM

          public static final EventBasedTask.EventType COMPUTER_MOVED_BY_SYSTEM

      Trigger the task when a computer object is moved by the system.

    - #### AGENT_INITIATED_ACTIVATION

          public static final EventBasedTask.EventType AGENT_INITIATED_ACTIVATION

      Trigger the task when a computer object is activated by the agent on that computer.

    - #### AGENT_IP_CHANGED

          public static final EventBasedTask.EventType AGENT_IP_CHANGED

      Trigger the task when the agent IP changes.

    - #### NSX_PROTECTION_CHANGED

          public static final EventBasedTask.EventType NSX_PROTECTION_CHANGED

      Trigger the task when the NSX protection for the computer changes.

  - ### Method Detail

    - #### values

          public static EventBasedTask.EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventBasedTask.EventType c : EventBasedTask.EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventBasedTask.EventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

    - #### getIntValue

          public int getIntValue()

    - #### fromValue

          public static EventBasedTask.EventType fromValue(java.lang.String value)

    - #### fromValue

          public static EventBasedTask.EventType fromValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.